import sanitizeHtml, { IOptions } from 'sanitize-html';
import _Vue from "vue";
interface Options {
    name?: string;
}
export declare const FILTER_BASIC: IOptions;
export declare const FILTER_INLINE: IOptions;
export declare const FILTER_NOTHING: IOptions;
export declare const FILTER_STRIP: IOptions;
export declare type Sanitizer = (dirty?: any, options?: IOptions) => string;
declare module '@nuxt/types' {
    interface Context {
        $sanitize: Sanitizer;
    }
    interface NuxtAppOptions {
        $sanitize: Sanitizer;
    }
}
declare module 'vue/types/vue' {
    interface Vue {
        $sanitize: Sanitizer;
    }
}
declare module 'vue/types/options' {
    interface ComponentOptions<V extends _Vue> {
        sanitize?: Sanitizer;
    }
}
declare const VSanitize: {
    install(Vue: typeof _Vue, options?: Options): void;
    defaults: sanitizeHtml.IOptions;
};
export default VSanitize;
